#
# spec file for package iproute2-doc
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           iproute2-doc
Version:        4.1
Release:        0
%define rversion 4.1.0
Summary:        Documentation to iproute2
License:        GPL-2.0+
Group:          Documentation/Other
Url:            http://www.linuxfoundation.org/collaborate/workgroups/networking/iproute2

Source:         http://kernel.org/pub/linux/utils/net/iproute2/iproute2-%rversion.tar.xz
Source2:        http://kernel.org/pub/linux/utils/net/iproute2/iproute2-%rversion.tar.sign
Patch1:         iproute2-3.16.0-fix-bashisms.patch
Patch6:         iproute2-pkgconfig.diff
Patch7:         iproute2-tipc-headers.patch
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  bison
BuildRequires:  db-devel
BuildRequires:  flex
BuildRequires:  pkgconfig >= 0.21
BuildRequires:  sgmltool
BuildRequires:  texlive
BuildRequires:  texlive-amsfonts
BuildRequires:  texlive-cm-super
BuildRequires:  texlive-dvips
BuildRequires:  texlive-ec
BuildRequires:  texlive-latex
BuildRequires:  tex(english.ldf)
%define with_xt 1
%if 0%{?with_xt}
BuildRequires:  pkgconfig(libmnl)
BuildRequires:  pkgconfig(xtables) >= 1.4.11
%endif

%description
This package contains the PDF documentation from iproute2,
as well as examples and other outdated files.

%prep
%setup -qn iproute2-%rversion
%patch1 -p1
%patch6 -p1
%patch7 -p1

%build
# build with -fPIC. For details see
# https://bugzilla.novell.com/show_bug.cgi?id=388021
xt_libdir="$(pkg-config xtables --variable=xtlibdir)";
xt_cflags="$(pkg-config xtables --cflags)";
make %{?_smp_mflags} LIBDIR="%_libdir" CCOPTS="-D_GNU_SOURCE %optflags -Wstrict-prototypes -Wno-error -fPIC -DXT_LIB_DIR=\\\"$xt_libdir\\\" $xt_cflags"

cd doc
make pdf

%install
make install DESTDIR="%{buildroot}" LIBDIR="%_libdir" \
    MODDESTDIR="$b/%_libdir/tc" DOCDIR="%_docdir/iproute2"

mkdir -p "%{buildroot}/%_docdir/iproute2";
cp -an ip/{ifcfg,routef,routel} doc/*.pdf "%{buildroot}/%_docdir/iproute2/"

t=$$
mkdir $t
mv %{buildroot}/%_docdir $t
rm -rf %{buildroot}/*
mkdir -p %{buildroot}/%_docdir
mv $t/packages/* %{buildroot}/%_docdir
rm -rf $t

%files
%defattr(-,root,root)
%_docdir/iproute2

%changelog
